## lcgdm 1.8.6

=== debian/changelog ===
lcgdm (1.8.6-4) unstable; urgency=low

  * Fix segfaults - issues found by Mayhem Team, Carnegie Mellon University

 -- Mattias Ellert <mattias.ellert@fysast.uu.se>  Fri, 28 Jun 2013 22:31:26 +0200

lcgdm (1.8.6-3) unstable; urgency=low

  * Fix alternatives and readmes for changes in file install locations
    (Closes: #705991)

 -- Mattias Ellert <mattias.ellert@fysast.uu.se>  Wed, 24 Apr 2013 16:41:07 +0200

lcgdm (1.8.6-2) unstable; urgency=low

  * Portability fix for kfreebsd kernel

 -- Mattias Ellert <mattias.ellert@fysast.uu.se>  Sun, 21 Apr 2013 06:51:23 +0200

lcgdm (1.8.6-1) unstable; urgency=low

  * Update to version 1.8.6 (Closes: #702895)

 -- Mattias Ellert <mattias.ellert@fysast.uu.se>  Sat, 16 Mar 2013 07:31:43 +0100
