=== debian/control ===
Source: lcgdm
Priority: optional
Maintainer: Mattias Ellert <mattias.ellert@fysast.uu.se>
Build-Depends: debhelper (>= 5), libglobus-gssapi-gsi-dev, libglobus-gss-assist-dev, libglobus-gsi-credential-dev, libglobus-gsi-callback-dev, libglobus-gass-copy-dev, libglobus-ftp-client-dev, libglobus-common-dev, voms-dev (>= 2), gsoap, libcgsi-gsoap-dev (>= 1.3.4.2), libmysqlclient-dev, libpq-dev, uuid-dev, swig, libperl-dev, perl, python-dev, python-support, xutils-dev, pkg-config
XS-Python-Version: current
Standards-Version: 3.9.4
Section: net
Vcs-Browser: http://svn.nordugrid.org/trac/packaging/browser/debian/lcgdm
Vcs-Svn: http://svn.nordugrid.org/repos/packaging/debian/lcgdm
Homepage: http://glite.web.cern.ch/glite/

Package: liblcgdm1
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: LHC Computing Grid Data Management common libraries
 This package contains common libraries for the LCG Data Management
 components: the LFC (LCG File Catalog) and the DPM (Disk Pool Manager).

Package: liblcgdm-dev
Section: libdevel
Architecture: any
Depends: liblcgdm1 (= ${binary:Version}), ${misc:Depends}
Description: LCG Data Management common development files
 This package contains common development libraries and header files
 for LCG Data Management.

Package: liblfc1
Section: libs
Architecture: any
Depends: liblcgdm1 (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
Description: LCG File Catalog (LFC) libraries
 The LCG File Catalog (LFC) keeps track of the locations of the physical
 replicas of the logical files in a distributed storage system.
 This package contains the runtime LFC client library.

Package: liblfc-dev
Section: libdevel
Architecture: any
Depends: liblfc1 (= ${binary:Version}), liblcgdm-dev (= ${binary:Version}), ${misc:Depends}
Description: LFC development libraries and header files
 The LCG File Catalog (LFC) keeps track of the locations of the physical
 replicas of the logical files in a distributed storage system.
 This package contains the development libraries and header files for LFC.

Package: lfc
Section: net
Architecture: any
Provides: lfc-client
Replaces: lfc-client (<< 1.8.1.2-2~)
Conflicts: lfc-client (<< 1.8.1.2-2~)
Depends: liblfc1 (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
Description: LCG File Catalog (LFC) client
 The LCG File Catalog (LFC) keeps track of the locations of the physical
 replicas of the logical files in a distributed storage system.
 This package provides the command line interfaces for the LFC.

Package: liblfc-perl
Section: perl
Architecture: any
Depends: liblfc1 (= ${binary:Version}), ${shlibs:Depends}, ${perl:Depends}, ${misc:Depends}
Description: LCG File Catalog (LFC) perl bindings
 The LCG File Catalog (LFC) keeps track of the locations of the physical
 replicas of the logical files in a distributed storage system.
 This package provides Perl bindings for the LFC client library.

Package: python-lfc
Section: python
Architecture: any
Provides: ${python:Provides}
Depends: liblfc1 (= ${binary:Version}), ${shlibs:Depends}, ${python:Depends}, ${misc:Depends}
Description: LCG File Catalog (LFC) python bindings
 The LCG File Catalog (LFC) keeps track of the locations of the physical
 replicas of the logical files in a distributed storage system.
 This package provides Python bindings for the LFC client library.

Package: lfc-server-mysql
Section: net
Architecture: any
Provides: lfc-mysql
Replaces: lfc-mysql (<< 1.8.1.2-2~)
Conflicts: lfc-mysql (<< 1.8.1.2-2~)
Depends: liblfc1 (= ${binary:Version}), adduser, ${shlibs:Depends}, ${misc:Depends}, finger, mysql-client
Description: LCG File Catalog (LFC) server with MySQL database backend
 The LCG File Catalog (LFC) keeps track of the locations of the physical
 replicas of the logical files in a distributed storage system.
 This package provides an LFC server that uses MySQL as its database
 backend.

Package: lfc-server-postgres
Section: net
Architecture: any
Provides: lfc-postgres
Replaces: lfc-postgres (<< 1.8.1.2-2~)
Conflicts: lfc-postgres (<< 1.8.1.2-2~)
Depends: liblfc1 (= ${binary:Version}), adduser, ${shlibs:Depends}, ${misc:Depends}, finger, postgresql-client
Description: LCG File Catalog (LFC) server with postgres database backend
 The LCG File Catalog (LFC) keeps track of the locations of the physical
 replicas of the logical files in a distributed storage system.
 This package provides an LFC server that uses postgres as its database
 backend.

Package: lfc-dli
Section: net
Architecture: any
Depends: liblfc1 (= ${binary:Version}), adduser, ${shlibs:Depends}, ${misc:Depends}
Description: LCG File Catalog (LFC) data location interface (dli) server
 The LCG File Catalog (LFC) keeps track of the locations of the physical
 replicas of the logical files in a distributed storage system.
 This package provides the data location interface (dli) server for
 the LFC.

Package: libdpm1
Section: libs
Architecture: any
Depends: liblcgdm1 (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
Description: Disk Pool Manager (DPM) libraries
 The LCG Disk Pool Manager (DPM) creates a storage element from a set
 of disks. It provides several interfaces for storing and retrieving
 data such as RFIO and SRM version 1, version 2 and version 2.2.
 This package contains the runtime DPM client library.

Package: libdpm-dev
Section: libdevel
Architecture: any
Depends: libdpm1 (= ${binary:Version}), liblcgdm-dev (= ${binary:Version}), ${misc:Depends}
Description: DPM development libraries and header files
 The LCG Disk Pool Manager (DPM) creates a storage element from a set
 of disks. It provides several interfaces for storing and retrieving
 data such as RFIO and SRM version 1, version 2 and version 2.2.
 This package contains the development libraries and header files for DPM.

Package: dpm
Section: net
Architecture: any
Provides: dpm-client
Replaces: dpm-client (<< 1.8.1.2-2~)
Conflicts: dpm-client (<< 1.8.1.2-2~)
Depends: libdpm1 (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
Description: Disk Pool Manager (DPM) client
 The LCG Disk Pool Manager (DPM) creates a storage element from a set
 of disks. It provides several interfaces for storing and retrieving
 data such as RFIO and SRM version 1, version 2 and version 2.2.
 This package provides the command line interfaces for the DPM.

Package: libdpm-perl
Section: perl
Architecture: any
Depends: libdpm1 (= ${binary:Version}), ${shlibs:Depends}, ${perl:Depends}, ${misc:Depends}
Description: Disk Pool Manager (DPM) perl bindings
 The LCG Disk Pool Manager (DPM) creates a storage element from a set
 of disks. It provides several interfaces for storing and retrieving
 data such as RFIO and SRM version 1, version 2 and version 2.2.
 This package provides Perl bindings for the DPM client library.

Package: python-dpm
Section: python
Architecture: any
Provides: ${python:Provides}
Depends: libdpm1 (= ${binary:Version}), ${shlibs:Depends}, ${python:Depends}, ${misc:Depends}
Description: Disk Pool Manager (DPM) python bindings
 The LCG Disk Pool Manager (DPM) creates a storage element from a set
 of disks. It provides several interfaces for storing and retrieving
 data such as RFIO and SRM version 1, version 2 and version 2.2.
 This package provides Python bindings for the DPM client library.

Package: dpm-server-mysql
Section: net
Architecture: any
Provides: dpm-mysql
Replaces: dpm-mysql (<< 1.8.1.2-2~)
Conflicts: dpm-mysql (<< 1.8.1.2-2~)
Depends: libdpm1 (= ${binary:Version}), adduser, ${shlibs:Depends}, ${misc:Depends}, finger
Description: Disk Pool Manager (DPM) server with MySQL database backend
 The LCG Disk Pool Manager (DPM) creates a storage element from a set
 of disks. It provides several interfaces for storing and retrieving
 data such as RFIO and SRM version 1, version 2 and version 2.2.
 This package provides a DPM server that uses MySQL as its database
 backend.

Package: dpm-server-postgres
Section: net
Architecture: any
Provides: dpm-postgres
Replaces: dpm-postgres (<< 1.8.1.2-2~)
Conflicts: dpm-postgres (<< 1.8.1.2-2~)
Depends: libdpm1 (= ${binary:Version}), adduser, ${shlibs:Depends}, ${misc:Depends}, finger
Description: Disk Pool Manager (DPM) server with postgres database backend
 The LCG Disk Pool Manager (DPM) creates a storage element from a set
 of disks. It provides several interfaces for storing and retrieving
 data such as RFIO and SRM version 1, version 2 and version 2.2.
 This package provides a DPM server that uses postgres as its database
 backend.

Package: dpm-name-server-mysql
Section: net
Architecture: any
Provides: dpm-mysql-nameserver
Replaces: dpm-mysql-nameserver (<< 1.8.1.2-2~)
Conflicts: dpm-mysql-nameserver (<< 1.8.1.2-2~)
Depends: libdpm1 (= ${binary:Version}), adduser, ${shlibs:Depends}, ${misc:Depends}, finger, mysql-client
Description: DPM nameserver server with MySQL database backend
 The LCG Disk Pool Manager (DPM) creates a storage element from a set
 of disks. It provides several interfaces for storing and retrieving
 data such as RFIO and SRM version 1, version 2 and version 2.2.
 This package provides a DPM nameserver that uses MySQL as its
 database backend.

Package: dpm-name-server-postgres
Section: net
Architecture: any
Provides: dpm-postgres-nameserver
Replaces: dpm-postgres-nameserver (<< 1.8.1.2-2~)
Conflicts: dpm-postgres-nameserver (<< 1.8.1.2-2~)
Depends: libdpm1 (= ${binary:Version}), adduser, ${shlibs:Depends}, ${misc:Depends}, finger, postgresql-client
Description: DPM nameserver server with postgres database backend
 The LCG Disk Pool Manager (DPM) creates a storage element from a set
 of disks. It provides several interfaces for storing and retrieving
 data such as RFIO and SRM version 1, version 2 and version 2.2.
 This package provides a DPM nameserver that uses postgres as its
 database backend.

Package: dpm-copy-server-mysql
Section: net
Architecture: any
Provides: dpm-mysql-copyd
Replaces: dpm-mysql-copyd (<< 1.8.1.2-2~)
Conflicts: dpm-mysql-copyd (<< 1.8.1.2-2~)
Depends: libdpm1 (= ${binary:Version}), adduser, ${shlibs:Depends}, ${misc:Depends}, finger
Description: DPM copy server with MySQL database backend
 The LCG Disk Pool Manager (DPM) creates a storage element from a set
 of disks. It provides several interfaces for storing and retrieving
 data such as RFIO and SRM version 1, version 2 and version 2.2.
 This package provides a DPM copy server that uses MySQL as its
 database backend.

Package: dpm-copy-server-postgres
Section: net
Architecture: any
Provides: dpm-postgres-copyd
Replaces: dpm-postgres-copyd (<< 1.8.1.2-2~)
Conflicts: dpm-postgres-copyd (<< 1.8.1.2-2~)
Depends: libdpm1 (= ${binary:Version}), adduser, ${shlibs:Depends}, ${misc:Depends}, finger
Description: DPM copy server with postgres database backend
 The LCG Disk Pool Manager (DPM) creates a storage element from a set
 of disks. It provides several interfaces for storing and retrieving
 data such as RFIO and SRM version 1, version 2 and version 2.2.
 This package provides a DPM copy server that uses postgres as its
 database backend.

Package: dpm-srm-server-mysql
Section: net
Architecture: any
Provides: dpm-mysql-srmv1, dpm-mysql-srmv2, dpm-mysql-srmv22
Replaces: dpm-mysql-srmv1 (<< 1.8.1.2-2~), dpm-mysql-srmv2 (<< 1.8.1.2-2~), dpm-mysql-srmv22 (<< 1.8.1.2-2~)
Conflicts: dpm-mysql-srmv1 (<< 1.8.1.2-2~), dpm-mysql-srmv2 (<< 1.8.1.2-2~), dpm-mysql-srmv22 (<< 1.8.1.2-2~)
Depends: libdpm1 (= ${binary:Version}), adduser, ${shlibs:Depends}, ${misc:Depends}, finger
Description: DPM SRM server with MySQL database backend
 The LCG Disk Pool Manager (DPM) creates a storage element from a set
 of disks. It provides several interfaces for storing and retrieving
 data such as RFIO and SRM version 1, version 2 and version 2.2.
 This package provides a DPM SRM server that uses MySQL as its
 database backend.

Package: dpm-srm-server-postgres
Section: net
Architecture: any
Provides: dpm-postgres-srmv1, dpm-postgres-srmv2, dpm-postgres-srmv22
