=== debian/changelog ===
lcgdm (1.8.7-3) unstable; urgency=medium

  * Add MariaDB as alternative dependency (Closes: #732882, #732893)

 -- Mattias Ellert <mattias.ellert@fysast.uu.se>  Wed, 08 Jan 2014 10:34:44 +0100

lcgdm (1.8.7-2) unstable; urgency=low

  * Adapt to multi-arch Globus installation

 -- Mattias Ellert <mattias.ellert@fysast.uu.se>  Sun, 01 Dec 2013 06:34:01 +0100

lcgdm (1.8.7-1) unstable; urgency=low

  * Update to version 1.8.7

 -- Mattias Ellert <mattias.ellert@fysast.uu.se>  Mon, 12 Aug 2013 10:51:10 +0200
