=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Maintainer: Mattias Ellert <mattias.ellert@fysast.uu.se>
 Build-Depends: debhelper (>= 5), libglobus-gssapi-gsi-dev, libglobus-gss-assist-dev, libglobus-gsi-credential-dev, libglobus-gsi-callback-dev, libglobus-gass-copy-dev, libglobus-ftp-client-dev, libglobus-common-dev, voms-dev (>= 2), gsoap, libcgsi-gsoap-dev (>= 1.3.4.2), libmysqlclient-dev, libpq-dev, uuid-dev, swig, libperl-dev, perl, python-dev, python-support, xutils-dev, pkg-config
 XS-Python-Version: current
-Standards-Version: 3.9.4
+Standards-Version: 3.9.5
 Section: net
 Vcs-Browser: http://svn.nordugrid.org/trac/packaging/browser/debian/lcgdm
 Vcs-Svn: http://svn.nordugrid.org/repos/packaging/debian/lcgdm
@@ -80,7 +80,7 @@
 Provides: lfc-mysql
 Replaces: lfc-mysql (<< 1.8.1.2-2~)
 Conflicts: lfc-mysql (<< 1.8.1.2-2~)
-Depends: liblfc1 (= ${binary:Version}), adduser, ${shlibs:Depends}, ${misc:Depends}, finger, mysql-client
+Depends: liblfc1 (= ${binary:Version}), adduser, ${shlibs:Depends}, ${misc:Depends}, finger, mariadb-client | mysql-client
 Description: LCG File Catalog (LFC) server with MySQL database backend
  The LCG File Catalog (LFC) keeps track of the locations of the physical
  replicas of the logical files in a distributed storage system.
@@ -170,7 +170,7 @@
 Provides: dpm-mysql
 Replaces: dpm-mysql (<< 1.8.1.2-2~)
 Conflicts: dpm-mysql (<< 1.8.1.2-2~)
-Depends: libdpm1 (= ${binary:Version}), adduser, ${shlibs:Depends}, ${misc:Depends}, finger
+Depends: libdpm1 (= ${binary:Version}), adduser, ${shlibs:Depends}, ${misc:Depends}, finger, mariadb-client | mysql-client
 Description: Disk Pool Manager (DPM) server with MySQL database backend
  The LCG Disk Pool Manager (DPM) creates a storage element from a set
  of disks. It provides several interfaces for storing and retrieving
@@ -184,7 +184,7 @@
 Provides: dpm-postgres
 Replaces: dpm-postgres (<< 1.8.1.2-2~)
 Conflicts: dpm-postgres (<< 1.8.1.2-2~)
-Depends: libdpm1 (= ${binary:Version}), adduser, ${shlibs:Depends}, ${misc:Depends}, finger
+Depends: libdpm1 (= ${binary:Version}), adduser, ${shlibs:Depends}, ${misc:Depends}, finger, postgresql-client
 Description: Disk Pool Manager (DPM) server with postgres database backend
  The LCG Disk Pool Manager (DPM) creates a storage element from a set
  of disks. It provides several interfaces for storing and retrieving
@@ -198,7 +198,7 @@
 Provides: dpm-mysql-nameserver
 Replaces: dpm-mysql-nameserver (<< 1.8.1.2-2~)
 Conflicts: dpm-mysql-nameserver (<< 1.8.1.2-2~)
-Depends: libdpm1 (= ${binary:Version}), adduser, ${shlibs:Depends}, ${misc:Depends}, finger, mysql-client
+Depends: libdpm1 (= ${binary:Version}), adduser, ${shlibs:Depends}, ${misc:Depends}, finger, mariadb-client | mysql-client
 Description: DPM nameserver server with MySQL database backend
  The LCG Disk Pool Manager (DPM) creates a storage element from a set
  of disks. It provides several interfaces for storing and retrieving
@@ -265,4 +265,3 @@
 Package: dpm-srm-server-postgres
 Section: net
 Architecture: any
-Provides: dpm-postgres-srmv1, dpm-postgres-srmv2, dpm-postgres-srmv22
