=== debian/rules ===
--- 
+++ 
@@ -1,5 +1,7 @@
 #!/usr/bin/make -f
 # -*- makefile -*-
+
+DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
 
 -include /usr/share/dpkg/buildflags.mk
 
@@ -17,7 +19,7 @@
 _mandir = $(_datadir)/man
 _docdir = $(_datadir)/doc
 
-VERSION=1.8.2
+VERSION=1.8.7
 
 configure: configure-stamp
 	:
@@ -44,6 +46,9 @@
 	sed 's/^CC +=/& $(CPPFLAGS) $(CFLAGS) -fno-strict-aliasing/' \
 	    -i lfc-mysql/config/linux.cf
 
+	sed 's/^CXXFLAGS =/& $(CPPFLAGS) $(CXXFLAGS)/' \
+	    -i lfc-mysql/common/Imakefile
+
 	cd lfc-mysql && \
 	gsoapversion=`soapcpp2 -v 2>&1 | grep C++ | sed 's/.* //'` && \
 	./configure lfc --with-mysql \
@@ -75,6 +80,9 @@
 	# CFLAGS doesn't try to use them.
 	sed 's/^CC +=/& $(CPPFLAGS) $(CFLAGS) -fno-strict-aliasing/' \
 	    -i lfc-postgres/config/linux.cf
+
+	sed 's/^CXXFLAGS =/& $(CPPFLAGS) $(CXXFLAGS)/' \
+	    -i lfc-postgres/common/Imakefile
 
 	cd lfc-postgres && \
 	gsoapversion=`soapcpp2 -v 2>&1 | grep C++ | sed 's/.* //'` && \
@@ -118,6 +126,9 @@
 	sed 's/^CC +=/& $(CPPFLAGS) $(CFLAGS) -fno-strict-aliasing/' \
 	    -i dpm-mysql/config/linux.cf
 
+	sed 's/^CXXFLAGS =/& $(CPPFLAGS) $(CXXFLAGS)/' \
+	    -i dpm-mysql/common/Imakefile
+
 	cd dpm-mysql && \
 	gsoapversion=`soapcpp2 -v 2>&1 | grep C++ | sed 's/.* //'` && \
 	./configure dpm --with-mysql \
@@ -155,6 +166,9 @@
 	# CFLAGS doesn't try to use them.
 	sed 's/^CC +=/& $(CPPFLAGS) $(CFLAGS) -fno-strict-aliasing/' \
 	    -i dpm-postgres/config/linux.cf
+
+	sed 's/^CXXFLAGS =/& $(CPPFLAGS) $(CXXFLAGS)/' \
+	    -i dpm-postgres/common/Imakefile
 
 	cd dpm-postgres && \
 	gsoapversion=`soapcpp2 -v 2>&1 | grep C++ | sed 's/.* //'` && \
@@ -203,6 +217,7 @@
 
 	cd lfc-mysql && \
 	$(MAKE) SOAPFLG="$(shell pkg-config --cflags gsoap)" \
+		DEB_HOST_MULTIARCH=$(DEB_HOST_MULTIARCH) \
 		SYSCONFDIR=$(_sysconfdir) \
 		LDFLAGS="$(LDFLAGS) -Wl,-z,defs" \
 		SHLIBLDFLAGS="-shared $(LDFLAGS) -Wl,-z,defs"
@@ -212,6 +227,7 @@
 
 	cd lfc-postgres && \
 	$(MAKE) SOAPFLG="$(shell pkg-config --cflags gsoap)" \
+		DEB_HOST_MULTIARCH=$(DEB_HOST_MULTIARCH) \
 		SYSCONFDIR=$(_sysconfdir) \
 		LDFLAGS="$(LDFLAGS) -Wl,-z,defs" \
 		SHLIBLDFLAGS="-shared $(LDFLAGS) -Wl,-z,defs" \
@@ -221,6 +237,7 @@
 
 	cd dpm-mysql && \
 	$(MAKE) SOAPFLG="$(shell pkg-config --cflags gsoap)" \
+		DEB_HOST_MULTIARCH=$(DEB_HOST_MULTIARCH) \
 		SYSCONFDIR=$(_sysconfdir) \
 		LDFLAGS="$(LDFLAGS) -Wl,-z,defs" \
 		SHLIBLDFLAGS="-shared $(LDFLAGS) -Wl,-z,defs"
@@ -230,34 +247,6 @@
 
 	cd dpm-postgres && \
 	$(MAKE) SOAPFLG="$(shell pkg-config --cflags gsoap)" \
-		SYSCONFDIR=$(_sysconfdir) \
-		LDFLAGS="$(LDFLAGS) -Wl,-z,defs" \
-		SHLIBLDFLAGS="-shared $(LDFLAGS) -Wl,-z,defs" \
-		POSINC=-I/usr/include/postgresql
-
-	touch $@
-
-clean:
-	dh_testdir
-	dh_testroot
-
-	rm -rf lfc-mysql
-	rm -rf lfc-postgres
-	rm -rf dpm-mysql
-	rm -rf dpm-postgres
-
-	rm -f build-stamp configure-stamp
-
-	dh_clean
-
-install: build-stamp
-	dh_testdir
-	dh_testroot
-	mkdir -p debian/liblcgdm-dev$(_docdir)
-	ln -s liblcgdm1 debian/liblcgdm-dev$(_docdir)/liblgcdm-dev
-	mkdir -p debian/liblfc-dev$(_docdir)
-	ln -s liblfc1 debian/liblfc-dev$(_docdir)/liblfc-dev
-	mkdir -p debian/libdpm-dev$(_docdir)
-	ln -s libdpm1 debian/libdpm-dev$(_docdir)/libdpm-dev
-	dh_prep
-
+		DEB_HOST_MULTIARCH=$(DEB_HOST_MULTIARCH) \
+		SYSCONFDIR=$(_sysconfdir) \
+		LDFLAGS="$(LDFLAGS) -Wl,-z,defs" \
