## lcgdm 1.8.9

=== scripts/CheckMigrationScript/src/Makefile ===
CC=g++

CHECK_UPGRADE_HOME=/afs/cern.ch/user/l/labadie/LCG-DM/scripts/CheckMigrationScript

IDIR=$(CHECK_UPGRADE_HOME)/include

MYSQL_HOME=/usr/include/mysql

INCL=-I$(IDIR) -I$(MYSQL_HOME)

SOURCE_FILE=$(CHECK_UPGRADE_HOME)/src

OUTDIR=$(CHECK_UPGRADE_HOME)/output

MYSQL_LIBS=/usr/lib

RANLIB = ranlib

SO_EXT=.so

MKLINK= ln -s



ICLIBPATH=-L$(MYSQL_LIBS)

THREADLIBS= -lpthread -lcurses

CCLIB=$(ICLIBPATH) -lmysqlclient $(THREADLIBS)



CFLAGS=$(FLAGS)  -g 


OBJS = check_migration.o getError.o check_main.o 





$(OUTDIR)/CheckMigration: $(OBJS) $(MYSQL_LIBS)/libmysqlclient$(SO_EXT)



	g++ -o $(OUTDIR)/CheckMigration $(OBJS) $(CCLIB)







getError.o:getError.c $(IDIR)/getError.h 

	$(CC) $(CFLAGS) $(INCL) -o getError.o  -c  getError.c



check_main.o:check_main.c  $(IDIR)/check_migration.h  

	$(CC) $(CFLAGS) $(INCL) -o check_main.o  -c check_main.c 



check_migration.o:check_migration.c $(IDIR)/check_migration.h 

	$(CC) $(CFLAGS)  $(INCL) -o check_migration.o  -c  check_migration.c



clean:

	-rm -f *.o
