=== scripts/UpdateDomainName/src/Makefile ===
C=g++

UPDATE_ACL_HOME=/afs/cern.ch/user/l/labadie/LCG-DM/scripts/UpdateDomainName

IDIR=$(UPDATE_ACL_HOME)/include

MYSQL_HOME=/usr/include/mysql

INCL=-I$(IDIR) -I$(MYSQL_HOME)

SOURCE_FILE=$(UPDATE_ACL_HOME)/src

OUTDIR=$(UPDATE_ACL_HOME)/output

MYSQL_LIBS=/usr/lib

RANLIB = ranlib

SO_EXT=.so

MKLINK= ln -s



ICLIBPATH=-L$(MYSQL_LIBS)

THREADLIBS= -lpthread -lcurses

CCLIB=$(ICLIBPATH) -lmysqlclient $(THREADLIBS)



CFLAGS=$(FLAGS)  -g 


OBJS = update_domain_core.o getError.o update_main.o 





$(OUTDIR)/UpdateDomainNameForMySQL: $(OBJS) $(MYSQL_LIBS)/libmysqlclient$(SO_EXT)



	g++ -o $(OUTDIR)/UpdateDomainNameForMySQL $(OBJS) $(CCLIB)







getError.o:getError.cpp $(IDIR)/getError.h 

	$(CC) $(CFLAGS) $(INCL) -o getError.o  -c  getError.cpp



update_main.o:update_main.cpp  $(IDIR)/update_domain_core.h  

	$(CC) $(CFLAGS) $(INCL) -o update_main.o  -c update_main.cpp  



update_domain_core.o:update_domain_core.cpp $(IDIR)/update_domain_core.h 

	$(CC) $(CFLAGS)  $(INCL) -o update_domain_core.o  -c  update_domain_core.cpp



clean:

	-rm -f *.o
