=== debian/changelog ===
lcgdm (1.8.9-1build1) wily; urgency=medium

  * No change rebuild for new libgsoap7

 -- Micah Gersten <micahg@ubuntu.com>  Mon, 18 May 2015 21:38:15 -0500

lcgdm (1.8.9-1) unstable; urgency=medium

  * Update to version 1.8.9
  * Add patch for dpm-listspaces and dav publishing from upstream
  * Ack NMU - thanks Gregor

 -- Mattias Ellert <mattias.ellert@fysast.uu.se>  Mon, 10 Nov 2014 19:51:37 +0100

lcgdm (1.8.7-3.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Fix "hardcodes /usr/lib/perl5":
    use debian/*.install.in files for the perl packages which are expanded at
    build time, setting $Config{vendorarch} in debian/rules
    (Closes: #752704)

 -- gregor herrmann <gregoa@debian.org>  Sat, 02 Aug 2014 18:22:19 +0200
