=== debian/control ===
--- 
+++ 
@@ -1,9 +1,9 @@
 Source: lcgdm
 Priority: optional
 Maintainer: Mattias Ellert <mattias.ellert@fysast.uu.se>
-Build-Depends: debhelper (>= 5), libglobus-gssapi-gsi-dev, libglobus-gss-assist-dev, libglobus-gsi-credential-dev, libglobus-gsi-callback-dev, libglobus-gass-copy-dev, libglobus-ftp-client-dev, libglobus-common-dev, voms-dev (>= 2), gsoap, libcgsi-gsoap-dev (>= 1.3.4.2), libmysqlclient-dev, libpq-dev, uuid-dev, swig, libperl-dev, perl, python-dev, python-support, xutils-dev, pkg-config
+Build-Depends: debhelper (>= 5), libglobus-gssapi-gsi-dev, libglobus-gss-assist-dev, libglobus-gsi-credential-dev, libglobus-gsi-callback-dev, libglobus-gass-copy-dev, libglobus-ftp-client-dev, libglobus-common-dev, voms-dev (>= 2), gsoap, libcgsi-gsoap-dev (>= 1.3.4.2), libmysqlclient-dev, libpq-dev, uuid-dev, swig, libperl-dev, perl, python-dev, dh-python, xutils-dev, pkg-config
 XS-Python-Version: current
-Standards-Version: 3.9.5
+Standards-Version: 3.9.6
 Section: net
 Vcs-Browser: http://svn.nordugrid.org/trac/packaging/browser/debian/lcgdm
 Vcs-Svn: http://svn.nordugrid.org/repos/packaging/debian/lcgdm
@@ -47,7 +47,8 @@
 Section: net
 Architecture: any
 Provides: lfc-client
-Replaces: lfc-client (<< 1.8.1.2-2~)
+Replaces: lfc-client (<< 1.8.1.2-2~), lfc-dli (<< 1.8.9)
+Breaks: lfc-dli (<< 1.8.9)
 Conflicts: lfc-client (<< 1.8.1.2-2~)
 Depends: liblfc1 (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
 Description: LCG File Catalog (LFC) client
@@ -262,6 +263,3 @@
  This package provides a DPM SRM server that uses MySQL as its
  database backend.
 
-Package: dpm-srm-server-postgres
-Section: net
-Architecture: any
