=== debian/rules ===
--- 
+++ 
@@ -18,8 +18,9 @@
 _datadir = $(_prefix)/share
 _mandir = $(_datadir)/man
 _docdir = $(_datadir)/doc
-
-VERSION=1.8.7
+_archlib = $(shell perl -MConfig -e 'print $$Config{vendorarch}')
+
+VERSION=1.8.9
 
 configure: configure-stamp
 	:
@@ -248,5 +249,3 @@
 	cd dpm-postgres && \
 	$(MAKE) SOAPFLG="$(shell pkg-config --cflags gsoap)" \
 		DEB_HOST_MULTIARCH=$(DEB_HOST_MULTIARCH) \
-		SYSCONFDIR=$(_sysconfdir) \
-		LDFLAGS="$(LDFLAGS) -Wl,-z,defs" \
